# $Revision: 1.6.2.2 $, $Date: 2003/04/28 12:51:51 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	Combination
Summary:	List::Combination - an iterator over the combinations of an array
Summary(pl):	List::Combination - iterator po kombinacjach tablicy
Name:		perl-List-Combination
Version:	1.00
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.pm.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides the ability to iterate over all the combinations,
of a given size, of the objects in an array.

%description -l pl
Ta klasa daje moliwo iterowania po wszystkich (danej dugoci)
kombinacjach obiektw tablicy.

%prep
%setup -q -n %{name}-%{version} -c -T
%{__gzip} -dc %{_sourcedir}/List-Combination-%{version}.pm.gz > Combination.pm

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"List::Combination");'
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-List-Combination.spec,v $
Revision 1.6.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.6.2.1  2003/03/13 00:57:52  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:35:32  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/26 13:17:39  ankry
- use ftp: URL, cleaning, adapterized

Revision 1.3  2002/07/25 23:57:45  radek
- simplified

Revision 1.2  2002/07/25 13:41:29  radek
- simplified workaround for missing Makefile.PL

Revision 1.1  2002/07/24 20:01:35  radek
- new, STBR

